curl --request PATCH \
--url https://api.sandbox.tesouro.com/finops/v1/delivery-notes/{delivery_note_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-finops-version: <x-finops-version>' \
--header 'x-organization-id: <x-organization-id>' \
--data '
{
"counterpart_address_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"counterpart_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"delivery_date": "2023-12-25",
"delivery_number": "<string>",
"display_signature_placeholder": true,
"line_items": [
{
"quantity": 1073741823.5,
"product": {
"name": "<string>",
"description": "<string>",
"measure_unit": {
"name": "<string>",
"description": "<string>"
}
},
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"memo": "<string>"
}
'import requests
url = "https://api.sandbox.tesouro.com/finops/v1/delivery-notes/{delivery_note_id}"
payload = {
"counterpart_address_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"counterpart_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"delivery_date": "2023-12-25",
"delivery_number": "<string>",
"display_signature_placeholder": True,
"line_items": [
{
"quantity": 1073741823.5,
"product": {
"name": "<string>",
"description": "<string>",
"measure_unit": {
"name": "<string>",
"description": "<string>"
}
},
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"memo": "<string>"
}
headers = {
"x-finops-version": "<x-finops-version>",
"x-organization-id": "<x-organization-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-finops-version': '<x-finops-version>',
'x-organization-id': '<x-organization-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
counterpart_address_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
counterpart_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
delivery_date: '2023-12-25',
delivery_number: '<string>',
display_signature_placeholder: true,
line_items: [
{
quantity: 1073741823.5,
product: {
name: '<string>',
description: '<string>',
measure_unit: {name: '<string>', description: '<string>'}
},
product_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
}
],
memo: '<string>'
})
};
fetch('https://api.sandbox.tesouro.com/finops/v1/delivery-notes/{delivery_note_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"based_on": "a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6",
"based_on_document_id": "IN-2022-01-01-0001",
"counterpart": {
"name": "Counterpart Name"
},
"counterpart_address": {
"city": "Counterpart City",
"country": "US",
"line1": "Counterpart Street",
"postal_code": "10001"
},
"counterpart_id": "a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6",
"created_at": "2022-01-01T00:00:00Z",
"created_by_entity_user_id": "a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6",
"delivery_date": "2022-01-01",
"delivery_number": "102-2022-0987",
"display_signature_placeholder": true,
"document_id": "DN-2022-01-01-0001",
"entity": {
"name": "Entity Name"
},
"entity_address": {
"city": "Entity City",
"country": "US",
"line1": "Entity Street",
"postal_code": "10001"
},
"entity_id": "a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6",
"file_language": "en",
"file_url": "https://example.com/delivery_note.pdf",
"id": "a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6",
"line_items": [
{
"product": {
"description": "Description of product",
"measure_unit": {
"description": "Pieces",
"name": "pcs"
},
"name": "Product Name"
},
"quantity": 20
}
],
"memo": "This is a memo",
"original_file_language": "de",
"original_file_url": "https://example.com/delivery_note_original.pdf",
"status": "created",
"updated_at": "2022-01-01T00:00:00Z"
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"error": {
"message": "<string>"
}
}Update delivery note
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The ID of the entity that owns the requested resource.
"9d2b4c8f-2087-4738-ba91-7359683c49a4"
Path Parameters
Body
Delivery Note update request schema
ID of the counterpart address selected for the delivery note
ID of the counterpart
Date of delivery
Delivery number
Whether to display a signature placeholder in the generated PDF
List of line items in the delivery note
1 - 100 elementsShow child attributes
Show child attributes
Additional information regarding the delivery note
Response
Successful Response
Unique ID of the delivery note
Time at which the delivery note was created. Timestamps follow the ISO 8601 standard.
Time at which the delivery note was last updated. Timestamps follow the ISO 8601 standard.
Counterpart of the delivery note
Show child attributes
Show child attributes
Address of the counterpart
Show child attributes
Show child attributes
ID of the counterpart
Whether to display a signature placeholder in the generated PDF
Document ID of the delivery note
Entity that created the delivery note
- Option 1
- Option 2
Show child attributes
Show child attributes
Address of the entity that created the delivery note
Show child attributes
Show child attributes
ID of the entity that created the delivery note
The language of the customer-facing PDF file (file_url). The value matches the counterpart's language at the time when this PDF file was generated.
ab, aa, af, ak, sq, am, ar, an, hy, av, ae, ay, az, bm, ba, eu, be, bn, bi, bs, br, bg, my, ca, ch, ce, ny, zh, cu, cv, kw, co, cr, hr, cs, da, dv, nl, dz, en, eo, et, ee, fo, fj, fi, fr, fy, ff, gd, gl, lg, ka, de, el, kl, gn, gu, ht, ha, he, hz, hi, ho, hu, io, ig, id, ia, ie, iu, ik, ga, it, ja, jv, kn, kr, ks, kk, km, ki, rw, ky, kv, kg, ko, kj, ku, lo, la, lv, li, ln, lt, lu, lb, mk, mg, ms, ml, mt, gv, mi, mr, mh, mn, na, nv, nd, nr, ng, ne, no, nb, nn, ii, oc, oj, om, os, pi, ps, fa, pl, pt, pa, qu, ro, rm, rn, ru, se, sm, sg, sa, sc, sr, sn, sd, si, sk, sl, so, st, es, su, sw, ss, sv, tl, ty, tg, ta, tt, te, th, bo, ti, to, ts, tn, tr, tk, tw, ug, uk, ur, uz, ve, vi, vo, wa, cy, wo, xh, yi, yo, za, zu List of line items in the delivery note
1Show child attributes
Show child attributes
The language of the entity's copy of the PDF file (original_file_url). The value matches the entity's language at the time when this PDF file was generated.
ab, aa, af, ak, sq, am, ar, an, hy, av, ae, ay, az, bm, ba, eu, be, bn, bi, bs, br, bg, my, ca, ch, ce, ny, zh, cu, cv, kw, co, cr, hr, cs, da, dv, nl, dz, en, eo, et, ee, fo, fj, fi, fr, fy, ff, gd, gl, lg, ka, de, el, kl, gn, gu, ht, ha, he, hz, hi, ho, hu, io, ig, id, ia, ie, iu, ik, ga, it, ja, jv, kn, kr, ks, kk, km, ki, rw, ky, kv, kg, ko, kj, ku, lo, la, lv, li, ln, lt, lu, lb, mk, mg, ms, ml, mt, gv, mi, mr, mh, mn, na, nv, nd, nr, ng, ne, no, nb, nn, ii, oc, oj, om, os, pi, ps, fa, pl, pt, pa, qu, ro, rm, rn, ru, se, sm, sg, sa, sc, sr, sn, sd, si, sk, sl, so, st, es, su, sw, ss, sv, tl, ty, tg, ta, tt, te, th, bo, ti, to, ts, tn, tr, tk, tw, ug, uk, ur, uz, ve, vi, vo, wa, cy, wo, xh, yi, yo, za, zu Status of the delivery note
created, canceled, delivered The unique ID of a previous document related to the delivery note if applicable.
The unique document ID of a previous document related to the delivery note if applicable.
ID of the user that created the delivery note
Date of delivery
Delivery number
The delivery note's PDF URL in the customer-facing language.
Additional information regarding the delivery note
The delivery note's PDF URL in the entity's language.
Was this page helpful?